# tecella_hw_props_ex_01 Struct Reference

`#include <TecellaAmp.h>`

## Data Fields
wchar_t | acquisition_units [TECELLA_HW_PROPS_ACQUISITION_UNITS_SIZE]
wchar_t | stimulus_units [TECELLA_HW_PROPS_STIMULUS_UNITS_SIZE]
int | slew_count
double | stimulus_ramp_step_size_min
double | stimulus_ramp_step_size_max
bool | supports_hpf
int | hpf_value_min
int | hpf_value_max
bool | supports_chan_set_stimulus
bool | supports_stimulus_steering
int | stimulus_steering_index_min
int | stimulus_steering_index_max
bool | stimulus_steering_can_be_disabled
int | dynamic_system_monitor_count
double | trigger_in_delay_min
double | trigger_in_delay_max
double | trigger_in_delay_lsb
bool | supports_iclamp_enable
bool | supports_vcmd_enable
bool | supports_Rs100_enable
bool | supports_telegraphs
int | ngains1
wchar_t | gain1_name [TECELLA_HW_PROPS_GAIN_NAME_SIZE]
int | ngains2
wchar_t | gain2_name [TECELLA_HW_PROPS_GAIN_NAME_SIZE]

## Field Documentation

wchar_t tecella_hw_props_ex_01::acquisition_units[TECELLA_HW_PROPS_ACQUISITION_UNITS_SIZE]

int tecella_hw_props_ex_01::dynamic_system_monitor_count

Indicates how many points the dynamic system monitor can probe. See tecella_system_monitor_dynamic_set().

wchar_t tecella_hw_props_ex_01::gain1_name[TECELLA_HW_PROPS_GAIN_NAME_SIZE]

wchar_t tecella_hw_props_ex_01::gain2_name[TECELLA_HW_PROPS_GAIN_NAME_SIZE]

int tecella_hw_props_ex_01::hpf_value_max

int tecella_hw_props_ex_01::hpf_value_min

int tecella_hw_props_ex_01::ngains1

int tecella_hw_props_ex_01::ngains2

int tecella_hw_props_ex_01::slew_count

double tecella_hw_props_ex_01::stimulus_ramp_step_size_max

The value_delta field can take can be up to this value in stimulus_value_lsb increments.

double tecella_hw_props_ex_01::stimulus_ramp_step_size_min

The value_delta field can take can be down to this value in stimulus_value_lsb increments.

bool tecella_hw_props_ex_01::stimulus_steering_can_be_disabled

int tecella_hw_props_ex_01::stimulus_steering_index_max

int tecella_hw_props_ex_01::stimulus_steering_index_min

wchar_t tecella_hw_props_ex_01::stimulus_units[TECELLA_HW_PROPS_STIMULUS_UNITS_SIZE]

bool tecella_hw_props_ex_01::supports_chan_set_stimulus

Some systems with multiple stimuli can map any channel to any stimulus via tecella_chan_set_stimulus().

bool tecella_hw_props_ex_01::supports_hpf

bool tecella_hw_props_ex_01::supports_iclamp_enable

Indicates if the iclamp can be enabled and dissabled via tecella_chan_set_iclamp_enable().

bool tecella_hw_props_ex_01::supports_Rs100_enable

Indicates if the 100Rs can be enabled and dissabled via tecella_chan_set_Rs100_enable().

bool tecella_hw_props_ex_01::supports_stimulus_steering

used on Amadeus.

bool tecella_hw_props_ex_01::supports_telegraphs

bool tecella_hw_props_ex_01::supports_vcmd_enable

Indicates if the vcmd can be enabled and dissabled via tecella_chan_set_vcmd_enable().

double tecella_hw_props_ex_01::trigger_in_delay_lsb

double tecella_hw_props_ex_01::trigger_in_delay_max

double tecella_hw_props_ex_01::trigger_in_delay_min

The documentation for this struct was generated from the following file:

- TecellaAmp.h